Bug 890830 - Review Request: perl-Math-Factor-XS - Factorize numbers and calculate matching multiplications
Review Request: perl-Math-Factor-XS - Factorize numbers and calculate matchin...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 890833
  Show dependency treegraph
 
Reported: 2012-12-30 09:29 EST by Miro Hrončok
Modified: 2013-01-13 23:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-12 10:02:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2012-12-30 09:29:46 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-Factor-XS.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-Factor-XS-0.40-4.fc17.src.rpm
Description: Math::Factor::XS factorizes numbers by applying trial divisions.
Fedora Account System Username: churchyard
Comment 1 Michael Scherer 2012-12-31 12:24:27 EST
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== Issues =====
- rm -rf %{buildroot} is not needed in %install

- why is there a need for a "dirty hack" on f17 ( ie, what is the issue with Build )

- License missing

===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/misc/checkout/git/FedoraReview/890830-perl-Math-
     Factor-XS/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Math-Factor-XS-0.40-4.fc18.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Math-Factor-XS
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Math-Factor-XS (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    perl(:MODULE_COMPAT_5.16.2)
    perl(Carp)
    perl(Exporter)
    perl(List::MoreUtils)
    perl(Params::Validate)
    perl(Scalar::Util)
    perl(XSLoader)
    perl(base)
    perl(boolean)
    perl(strict)
    perl(warnings)
    rtld(GNU_HASH)



Provides
--------
perl-Math-Factor-XS:
    perl(Math::Factor::XS)
    perl-Math-Factor-XS
    perl-Math-Factor-XS(x86-64)



Unversioned so-files
--------------------
perl-Math-Factor-XS: /usr/lib64/perl5/vendor_perl/auto/Math/Factor/XS/XS.so

MD5-sum check
-------------
http://www.cpan.org/authors/id/K/KR/KRYDE/Math-Factor-XS-0.40.tar.gz :
  CHECKSUM(SHA256) this package     : f594f5f107ac1b6f2f1af76b7711121dbd7043cc7bad0bad1cdbfc3186239833
  CHECKSUM(SHA256) upstream package : f594f5f107ac1b6f2f1af76b7711121dbd7043cc7bad0bad1cdbfc3186239833


Generated by fedora-review 0.2.0 (Unknown) last change: Unknown
Buildroot used: fedora-18-x86_64
Command line :./try-fedora-review -m fedora-18-x86_64 -b 890830
Comment 2 Miro Hrončok 2012-12-31 14:31:35 EST
Haha you got me. It was there, because the Build script explicitly required Module::Build >= 0.40 and back in September, there was version 0.38 in Fedora 17. I tryed to overwrite it in Build and it worked, so i "hacked" it that way. Forgot to remov when it reached updates.

Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-Factor-XS.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-Factor-XS-0.40-5.fc17.src.rpm

- Do not delete %%{buildroot} in %%install
- Removed "dirty hack" (overwriting Module::Build min version in Build script)
Comment 3 Michael Scherer 2012-12-31 20:09:22 EST
Ok, good to go, approved
Comment 4 Miro Hrončok 2013-01-02 10:06:59 EST
New Package SCM Request
=======================
Package Name: perl-Math-Factor-XS
Short Description: Factorize numbers and calculate matching multiplications
Owners: churchyard
Branches: f17 f18
InitialCC: perl-sig
Comment 5 Jon Ciesla 2013-01-02 10:13:40 EST
Git done (by process-git-requests).
Comment 6 Miro Hrončok 2013-01-03 12:23:59 EST
I might need to put that hack back, asi it seems Koji is still using Module::Build 0.38:

https://koji.fedoraproject.org/koji/taskinfo?taskID=4836469

Module::Build version 0.40 required--this is only version 0.38 at ./Build line 41.
Comment 7 Fedora Update System 2013-01-03 12:26:17 EST
perl-Math-Factor-XS-0.40-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Math-Factor-XS-0.40-5.fc18
Comment 8 Fedora Update System 2013-01-03 12:44:05 EST
perl-Math-Factor-XS-0.40-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Math-Factor-XS-0.40-5.fc17
Comment 9 Fedora Update System 2013-01-03 18:47:47 EST
perl-Math-Factor-XS-0.40-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-01-12 10:02:39 EST
perl-Math-Factor-XS-0.40-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-01-13 23:13:25 EST
perl-Math-Factor-XS-0.40-5.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.